Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class GetPropertyTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.GetPropertyTag

public class GetPropertyTag
extends BasePropertyTag

JSP Tag implementation for genrating the webflow urls in a JSP page.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
`namespace, pipelineSession, property, scope`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetPropertyTag()`

Method Summary
`int` | `doStartTag()` Look up the value and status in the http session and return them.
`java.lang.String` | `getId()`
`java.lang.String` | `getType()`
`void` | `release()` Release this tag.
`void` | `setId(java.lang.String id)`
`void` | `setType(java.lang.String type)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.BasePropertyTag
`getCurrentNamespace, getNamespace, getPipelineSession, getProperty, getRequestContext, getScope, initialize, setNamespace, setProperty, setScope`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyTag

    public GetPropertyTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class BasePropertyTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Look up the value and status in the http session and return them.

  Overrides:
    doStartTag in class BasePropertyTag

### getId

    public java.lang.String getId()

  Overrides:
    getId in class javax.servlet.jsp.tagext.TagSupport

### setId

    public void setId(java.lang.String id)

  Overrides:
    setId in class javax.servlet.jsp.tagext.TagSupport

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved